function x=horizontal_WP_synthP(wct,Par,DeTr)
% 1D reconstruction of a row signal or an array  of row signals  'x' 
%from the coefficients in the discrete-time  wavelet packet horizontal basis at the level DeTr
%Par -spline order
%wct --cell array of  WP coeff.
List=zeros(2^DeTr,2);
for kk=1:2^DeTr;
    List(kk,:)=[DeTr,kk-1];
end

[x]=List_synthP(wct,List,Par);
%%%%%%%%%%%%%%%%%%%%%%%%%%
